<template>
	<el-row style="width: 70%; margin: 20px auto;">
	  	<el-table
	  	    :data="incomesRecord"
	  	    style="font-size: 17px">
	  	    <el-table-column
	  	      label="Date"
	  	      width="180">
	  	      	<template slot-scope="scope">
				    <i class="el-icon-time"></i>
				    <span style="margin-left: 10px">{{ scope.row.created_at }}</span>
				</template>
	  	    </el-table-column>
	  	    <el-table-column
	  	      prop="category_name"
	  	      label="Category Name"
	  	      width="180">
	  	    </el-table-column>
	  	    <el-table-column
	  	      prop="amount"
	  	      label="Amount">
	  	    </el-table-column>
	  	    <el-table-column
		          prop="category_type"
		          label="Type"
		          width="180">
		    </el-table-column>
	  	</el-table>
	</el-row>
</template>

<style>
	
</style>

<script>
	export default {
		data() {
			return {
				incomesRecord: [],
				activeName: 'first',
			}
		},
	    mounted() {
	    	this.getRecord();
	    },
	    methods: {
	    	getRecord() {
		    	axios.get('/incomesRecord')
		        .then(response => {
		        	console.log(response.data.data);
		            this.incomesRecord = response.data.data;

		        })
		        .catch(function(error) {
		          console.log(error);
		      	})
		    },
	    }
	}
</script>